| Modifier and Type | Class and Description |
|---|---|
class |
VoidAction
Action with no args.
|
| Modifier and Type | Field and Description |
|---|---|
protected List<Action<T>> |
AbstractActions.actionList |
| Modifier and Type | Method and Description |
|---|---|
protected List<Action<T>> |
SimpleActions.createList() |
protected List<Action<T>> |
ConcurrentActions.createList() |
protected abstract List<Action<T>> |
AbstractActions.createList() |
| Modifier and Type | Method and Description |
|---|---|
Actions<T> |
Actions.add(Action<T> action)
Adds an action.
|
Actions<T> |
AbstractActions.add(Action<T> action) |
protected void |
AbstractActions.fireOne(Action<T> action,
T data) |
boolean |
Actions.has(Action<T> action)
Determines whether the actions contains the specified action.
|
boolean |
AbstractActions.has(Action<T> action) |
Actions<T> |
Actions.remove(Action<T> action)
Removes an action.
|
Actions<T> |
AbstractActions.remove(Action<T> action) |
| Modifier and Type | Method and Description |
|---|---|
ServerHttpExchange |
ServerHttpExchange.bodyAction(Action<Data> action)
Attaches an action to be called with the whole request body where the
request ends.
|
ServerHttpExchange |
AbstractServerHttpExchange.bodyAction(Action<Data> action) |
ServerWebSocket |
ServerWebSocket.closeAction(Action<Void> action)
Attaches an action for the close event.
|
ServerHttpExchange |
ServerHttpExchange.closeAction(Action<Void> action)
Attaches an action to be called on response close.
|
ServerWebSocket |
AbstractServerWebSocket.closeAction(Action<Void> action) |
ServerHttpExchange |
AbstractServerHttpExchange.closeAction(Action<Void> action) |
ServerWebSocket |
ServerWebSocket.errorAction(Action<Throwable> action)
Attaches an action to handle error from various things.
|
ServerWebSocket |
AbstractServerWebSocket.errorAction(Action<Throwable> action) |
ServerWebSocket |
ServerWebSocket.messageAction(Action<Data> action)
Attaches an action for the message event.
|
ServerWebSocket |
AbstractServerWebSocket.messageAction(Action<Data> action) |
| Modifier and Type | Method and Description |
|---|---|
AtmosphereBridge |
AtmosphereBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
AtmosphereBridge |
AtmosphereBridge.websocketAction(Action<ServerWebSocket> action)
Adds an action to be called on WebSocket connection with
ServerWebSocket in open state. |
| Modifier and Type | Method and Description |
|---|---|
JwaBridge |
JwaBridge.websocketAction(Action<ServerWebSocket> action) |
| Modifier and Type | Method and Description |
|---|---|
ServletBridge |
ServletBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
| Modifier and Type | Method and Description |
|---|---|
VertxBridge |
VertxBridge.httpAction(Action<ServerHttpExchange> action)
Adds an action to be called on HTTP request with
ServerHttpExchange. |
VertxBridge |
VertxBridge.websocketAction(Action<ServerWebSocket> action)
Adds an action to be called on WebSocket connection with
ServerWebSocket in open state. |
| Modifier and Type | Method and Description |
|---|---|
Action<ServerWebSocket> |
ServerWebSocketTestTemplate.Performer.serverAction() |
Action<ServerHttpExchange> |
ServerHttpExchangeTestTemplate.Performer.serverAction() |
| Modifier and Type | Method and Description |
|---|---|
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.send(Action<org.eclipse.jetty.client.api.Request> requestAction) |
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.send(String uri,
Action<org.eclipse.jetty.client.api.Request> requestAction) |
ServerHttpExchangeTestTemplate.Performer |
ServerHttpExchangeTestTemplate.Performer.serverAction(Action<ServerHttpExchange> serverAction) |
ServerWebSocketTestTemplate.Performer |
ServerWebSocketTestTemplate.Performer.serverAction(Action<ServerWebSocket> serverAction) |
Copyright 2014, The Vibe Project